# $Revision: 1.46 $, $Date: 2006/10/22 15:36:04 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Template
%define		pnam	Toolkit
Summary:	Fast, powerful and easily extensible template processing system
Summary(pl):	Rozbudowany i wydajny system szablonw
Name:		perl-Template-Toolkit
Version:	2.15
Release:	1
# same as perl
License:	GPL v1+ or or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.template-toolkit.com/download/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	26adb4e6d3f2f89e2b54a43f73b70a29
Patch0:		%{name}-paths.patch
URL:		http://www.template-toolkit.org/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl(File::Spec) >= 0.6
BuildRequires:	perl-AppConfig >= 1.52
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Pod-POM >= 0.1
BuildRequires:	perl-Text-Autoformat >= 1.03
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system. It
was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

It can be used as a stand-alone Perl module or embedded within an
Apache/mod_perl server for generating highly configurable dynamic web
content. A number of Perl scripts are also provided which can greatly
simplify the process of creating and managing static web content and
other offline document systems.

%description -l pl
Template Toolkit to zestaw moduw z implementacj szybkiego,
elastycznego, potnego i rozszerzalnego systemu przetwarzania
wzorcw. Oryginalnie zosta zaprojektowany i nadal jest uywany
gwnie do generowania dynamicznych stron WWW, ale moe by take
uyty do przetwarzania dowolnych innych rodzajw dokumentw
tekstowych: HTML, XML, POD, PostScript, LaTeX itd.

Moe by uywany jako samodzielny modu Perla, lub wbudowany w serwer
Apache/mod_perl do wysoko konfigurowalnego generowania dynamicznych
stron WWW. Zaczonych jest wiele skryptw Perla, ktre mog uproci
proces tworzenia i zarzdzania statycznymi stronami WWW oraz innymi
systemami dokumentw offline.

%package examples
Summary:	Examples for Template Toolkit
Summary(pl):	Przykady zastosowania pakietu Template Toolkit
Group:		Development/Languages/Perl

%description examples
Examples for Template Toolkit

%description examples -l pl
Przykady zastosowania Template Toolkit.

%package Plugin-Autoformat
Summary:	Autoformat plugin for Template Toolkit - text formatting
Summary(pl):	Wtyczka Autoformat dla pakietu Template Toolkit - formatowanie tekstu
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description Plugin-Autoformat
Autoformat plugin for Template Toolkit - interface to Text::Autoformat
module which provides advanced text wrapping and formatting.

%description Plugin-Autoformat -l pl
Wtyczka Autoformat dla pakietu Template Toolkit. Stanowi ona interfejs
do moduu Text::Autoformat umoliwiajcego zaawansowane zawijanie i
formatowanie tekstu.

%package Plugin-Date
Summary:	Date plugin for Template Toolkit - date formatting
Summary(pl):	Wtyczka Date dla pakietu Template Toolkit - formatowanie daty
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}
#Requires:	perl-Date-Calc
Requires:	perl-Date-Manip

%description Plugin-Date
Date plugin for Template Toolkit - to generate formatted date strings.

%description Plugin-Date -l pl
Wtyczka Date dla pakietu Template Toolkit. Suy ona do generowania
sformatowanych acuchw znakw opisujcych dat.

%package Plugin-Dumper
Summary:	Dumper plugin for Template Toolkit - dumping data structures
Summary(pl):	Wtyczka Dumper dla pakietu Template Toolkit - wypisywanie struktur danych
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description Plugin-Dumper
Dumper plugin for Template Toolkit - interface to Data::Dumper module,
which translates data structures to strings.

%description Plugin-Dumper -l pl
Wtyczka Dumper dla pakietu Template Toolkit - bdca interfejsem do
moduu Data::Dumper, ktry przeksztaca struktury danych na acuchy
znakw.

%package Plugin-Image
Summary:	Image plugin for Template Toolkit - encapsulating information about images
Summary(pl):	Wtyczka Image dla pakietu Template Toolkit - wstawianie informacji o obrazkach
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description Plugin-Image
Image plugin for Template Toolkit - interface to the Image::Info or
Image::Size modules for determining the size of image files.

%description Plugin-Image -l pl
Wtyczka Image dla pakietu Template Toolkit - bdca interfejsem do
moduu Image::Info lub Image::Size, suca do okrelania rozmiaru
obrazkw.

%package Plugin-Pod
Summary:	Pod plugin for Template Toolkit - Pod parser and object model
Summary(pl):	Wtyczka Pod dla pakietu Template Toolkit - analizator i model obiektowy Pod
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description Plugin-Pod
Pod plugin for Template Toolkit - interface to the POD::POM module,
which parses Pod documents and converts them to a simple object model.

%description Plugin-Pod -l pl
Wtyczka Pod dla pakietu Template Toolkit - bdca interfejsem do
moduu Pod::POM, ktry analizuje dokumenty Pod i przeksztaca je na
prosty obiektowy model.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor  \
	TT_PREFIX=%{_examplesdir}/%{name}-%{version} \
	TT_IMAGES=%{_examplesdir}/%{name}-%{version}/images \
	TT_ACCEPT=y
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT
# For arch-independent plugins. Plugins shipped with TT are
# arch-independent too, but moving them to %{perl_vendorlib}
# is PITA
%{__install} -d $RPM_BUILD_ROOT%{perl_vendorlib}/Template
%{__install} -d $RPM_BUILD_ROOT%{perl_vendorlib}/Template/Plugin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes HACKING README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Template.pm
%{perl_vendorarch}/Template/*.pm
%{perl_vendorarch}/Template/Stash
%{perl_vendorarch}/Template/Namespace
%dir %{perl_vendorarch}/Template/Plugin
# For arch-independent plugins
%dir %{perl_vendorlib}/Template/Plugin
# These are not plugins, but base classes
%{perl_vendorarch}/Template/Plugin/Filter.pm
%{perl_vendorarch}/Template/Plugin/Procedural.pm
# Simple plugins with no excessive requirements
%{perl_vendorarch}/Template/Plugin/CGI.pm
%{perl_vendorarch}/Template/Plugin/Datafile.pm
%{perl_vendorarch}/Template/Plugin/Directory.pm
%{perl_vendorarch}/Template/Plugin/File.pm
%{perl_vendorarch}/Template/Plugin/Format.pm
%{perl_vendorarch}/Template/Plugin/HTML.pm
%{perl_vendorarch}/Template/Plugin/Iterator.pm
%{perl_vendorarch}/Template/Plugin/Math.pm
%{perl_vendorarch}/Template/Plugin/String.pm
%{perl_vendorarch}/Template/Plugin/Table.pm
%{perl_vendorarch}/Template/Plugin/URL.pm
%{perl_vendorarch}/Template/Plugin/View.pm
%{perl_vendorarch}/Template/Plugin/Wrap.pm
%dir %{perl_vendorarch}/auto/Template
%dir %{perl_vendorarch}/auto/Template/Stash
%dir %{perl_vendorarch}/auto/Template/Stash/XS
%{perl_vendorarch}/auto/Template/Stash/XS/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Template/Stash/XS/*.so
%{_mandir}/man1/*
%{_mandir}/man3/Template.*
%{_mandir}/man3/Template::[!P]*
%{_mandir}/man3/Template::P[!l]*
%{_mandir}/man3/Template::Plugin[!:]*
%{_mandir}/man3/Template::Plugin::[!ADIP]*
%{_mandir}/man3/Template::Plugin::D[!au]*
%{_mandir}/man3/Template::Plugin::Dat[!e]*
%{_mandir}/man3/Template::Plugin::I[!m]*
%{_mandir}/man3/Template::Plugin::P[!o]*


%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files Plugin-Autoformat
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Autoformat.pm
%{_mandir}/man3/Template::Plugin::Autoformat*

%files Plugin-Date
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Date.pm
%{_mandir}/man3/Template::Plugin::Date*

%files Plugin-Dumper
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Dumper.pm
%{_mandir}/man3/Template::Plugin::Dumper*

%files Plugin-Image
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Image.pm
%{_mandir}/man3/Template::Plugin::Image*

%files Plugin-Pod
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Pod.pm
%{_mandir}/man3/Template::Plugin::Pod*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Template-Toolkit.spec,v $
Revision 1.46  2006/10/22 15:36:04  ankry
- ver. 2.15. Note: some plugins (DBI, GD, XML) now build from separate specs

Revision 1.45  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.44  2004/12/05 12:47:15  radek
- version 2.14, turned off t/gd.t (one test fails)

Revision 1.43  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.42  2004/11/03 22:30:46  paladine
- formatting

Revision 1.41  2004/08/01 23:21:14  ankry
- removed dir belonging to perl-base, rel. 4

Revision 1.40  2004/05/31 11:01:49  ankry
- works, rel. 3

Revision 1.39  2004/05/31 07:25:51  ankry
- workaround for -j

Revision 1.38  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.37  2004/05/04 23:28:11  ankry
- kill perl-libxml-enno

Revision 1.36  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.35  2004/04/07 22:45:35  migo
- added %{perl_vendorlib}/Template/Plugin to package
- s/%{pdir}/Template/ in %files
- rel 2

Revision 1.34  2004/02/06 22:41:01  migo
- up to 2.13

Revision 1.33  2004/01/25 00:06:09  arekm
- autoupdated to 2.12

Revision 1.32  2003/11/01 13:44:11  qboosh
- plugins descriptions (no macros - they only obscured things)
- tests can be enabled now
- release 2

Revision 1.31  2003/10/12 13:01:59  migo
- don't BR perl-libxml-enno

Revision 1.30  2003/10/04 21:25:20  migo
- plugins splitted into subpackages
- new bcond sytem
- removed R: tetex*
- release 1.90

Revision 1.29  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.28  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.27  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/08/15 22:02:06  migo
- up to 2.10

Revision 1.25  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.24  2003/06/30 22:26:17  qboosh
- added defattr to examples and _without_autodeps bcond

Revision 1.23  2003/06/30 18:27:30  migo
- up to 2.09 + one patch
- changed summaries
- examples subpackage
- most BR weren't really BR
- it works, but expect further changes

Revision 1.22  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:38:32  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/16 05:34:43  migo
- URL: added

Revision 1.15  2002/09/27 21:05:54  ankry
- added tests (disabled by default)
- version 2.08, rel. 1

Revision 1.14  2002/09/11 20:24:59  qboosh
- it can't be noarch!
- removed .packlist, fixed perms, release 3

Revision 1.13  2002/07/13 23:10:26  qboosh
- standarized examples dir
- BR: perl-XML-Simple

Revision 1.12  2002/07/12 22:38:09  ankry
- BR: perl-AppConfig
- release 2

Revision 1.11  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 08:04:16  depesz
- new version; should work; STBR

Revision 1.9  2002/07/10 08:48:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/06/16 12:12:12  kloczek
- removed INSTALL from %doc.

Revision 1.7  2002/06/16 11:55:59  depesz
- patch corrected
- should build niecly

Revision 1.6  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/02/25 10:34:33  depesz
cleanup; revision++

Revision 1.4  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/20 11:17:34  depesz
- corrected wrongimage path
- $revision++;

Revision 1.2  2002/02/20 10:44:12  qboosh
- pl description

Revision 1.1  2002/02/20 10:01:47  depesz
- new module (very important module)
- no polish translation (sorry)
